### Method

# Vte Terminal get_termprop_value_by_id

since: 0.78

#### Declaration [src]

    gboolean
    vte_terminal_get_termprop_value_by_id (
      VteTerminal* terminal,
      int prop,
      GValue* gvalue
    )

#### Description [src]

Like `vte_terminal_get_termprop_value()` except that it takes the termprop by ID. See that function for more information.

Available since: 0.78

#### Parameters

`prop`

  Type: `int`

  A termprop ID.

`gvalue`

  Type: `GValue`

  A `GValue` to be filled in.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

#### Return value

Type: `gboolean`

`TRUE` iff the property has a value, with `gvalue` containig the property’s value.